Convert Image
POST
https://picnie.com/api/v1/convert-imageConvert an image to a different format.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | string | The ID of the project. Example: |
image_url* | string | URL of the image to convert. Example: |
output_format* | string | Target format. Values: webp, jpg, png. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/convert-image"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"image_url": "https://picnie.s3.ap-south-1.amazonaws.com/user_1/project_8/ts_20240124094059image_ex.png",
"output_format": "webp",
"project_id": "8"
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"url": "https://picnie.s3.ap-south-1.amazonaws.com/user_10/project_25/conv_1234_250619093017.webp"
}